#include "play.h"

/* Initializes play state. */
void
play_init(Play* self, State* state)
{
	memset(self, '\0', sizeof(Play));

	self->state = state;

	self->player = ecs_entity_add(&self->state->game->ecs);

	entity_player_init
	(
		&self->state->game->ecs, 
		self->player, 
		(f32*)PLAY_PLAYER_POSITION
	);
}
